------------------------------------------------------------------------------------
--Name:  	juqing8
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-04-02
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(64, 64)
CppScriptMgr:NpcCallOut("My baby!!!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2023qqws_Count", 150, 430, "Dr.Ashford", 250, 655, false)
local Player_2 = CppScriptMgr:AddSimplePlayer(1062440, 74, 54, "", 0, 0)
Player_2:SetDir(1)
Player_2:RunTo(71, 59)
local Player_1 = CppScriptMgr:AddSimplePlayer(1050215, 64, 66, "", 0, 0)
Player_1:SetDir(5)
Player_1:RunTo(70, 60)
Player_1:Say("My baby!!!", 1500)
Player_1:SetCtrlMapView(1)
Player_1:SetArmor(192310, 0, 1)
Player_1:SetHair(106, 1)
Player_1:SetRWeapon(0, 0, 0)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(78, 54)
player_0:RunTo(74, 58)
player_0:SetName("")
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("You are finally back, my baby Rose!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2023qqws_Count", 150, 430, "Dr.Ashford", 250, 655, true)
CppScriptMgr:WaitMilSec(2370)
Player_2:SetAction(101)
CppScriptMgr:NpcCallOut("I won`t leave you again, I swear!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2023qqws_Count", 150, 430, "Dr.Ashford", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(620)
player_0:Say("What are you going to do next?", 1500)
Player_2:SetDir(6)
CppScriptMgr:WaitMilSec(970)
CppScriptMgr:NpcCallOut("I will initiate the reconstruction of the Lost City and hand it over to Charlie Winston.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2023qqws_Count", 150, 430, "Dr.Ashford", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)
player_0:Say("That`s good!", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("We need you in reconstructing the Lost City.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2023qqws_Count", 150, 430, "Dr.Ashford", 250, 655, false)
CppScriptMgr:WaitMilSec(3170)
player_0:Say("With pleasure!", 1500)
CppScriptMgr:WaitMilSec(1330)